Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Zookeeper >> mail # dev >> 3.4.x versions not playing nicely with (what will be) 3.5.x


Copy link to this message
-
3.4.x versions not playing nicely with (what will be) 3.5.x
Hey there,

I didn't find anything in the docs but, do we not ensure compatibility
between different major versions? Because of ZOOKEEPER-107 we now how
a protocol version field send from
QuorumCnxManager#initiateConnection. Should we have a 3.4.x release
with code in QuorumCnxManager#receiveConnection to cope with this?
Otherwise they don't get along.

I have a tested patch that fixes this but wanted to check what the
expectations are first.

Cheers,
-rgs